function [] = reloadSoundSourceFile(~, ~)
%LOADSOUNDSOURCEFILE Creates a file selection dialog and reads the file into memory.

global artoaDataInput artoaWorkspace artoaConfig;

%% Initialize variables
artoaDataInput.soundsources = false;

%% Get required variables
filepath = artoaConfig.files.soundsourcefile;
if ~isfile(filepath)
    error([mfilename ': Could not reload soundsource file, given path is not a file!']);
end

%% Load file into memory
artoaDataInput.soundsources = artoa.load.soundsources(filepath);

%% GET SOUNDSOURCES THAT ARE ALIVE DURING THE FLOAT MISSION
if isfield(artoaDataInput, 'rfb')
    artoaWorkspace.filteredSoundsources = artoa.soundsources.filter( ...
        artoaDataInput.soundsources, min(artoaWorkspace.rafosDate), max(artoaWorkspace.rafosDate) ...
    );
else % no rfb file loaded, so all are valid
    artoaWorkspace.filteredSoundsources = artoaDataInput.soundsources;
end

end

